Skip to main content
Use the Document APIs to upload and fetch documents for the KYC verification process. Check the product activation status and updates permitted for Document APIs.
The maximum supported file size for a JPG/PNG is 4MB. The maximum supported file size for a PDF is 2MB. Do not pass file URLs instead of uploading documents. If you have uploaded the document but mandatory field-level parameters are not passed in the API, you need to re-execute the Documents API with the same document and pass the fields.

Upload Account Documents

POST /v2/accounts/:account_id/documentsUploads business documents for a sub-merchant’s account.

Upload Stakeholder Documents

POST /v2/accounts/:account_id/stakeholders/:stakeholder_id/documentsUploads signatory documents for a stakeholder.

Fetch Account Documents

GET /v2/accounts/:account_id/documentsRetrieves the documents uploaded for an account.

Fetch Stakeholder Documents

GET /v2/accounts/:account_id/stakeholders/:stakeholder_id/documentsRetrieves the documents uploaded for a stakeholder.